<?php
/**
 * The template for displaying Category pages
 * Custom template which displays a featured image first.
 * Supports Part 4 of tutorial series on Advanced Use of Images in WordPress for WPTutsplus
 */

get_header(); ?>

	<section id="primary" class="content-area">
		<div id="content" class="site-content" role="main">

			<?php if ( have_posts() ) : ?>

			<header class="archive-header">
				<h1 class="archive-title"><?php printf( __( 'Category Archives: %s', 'twentyfourteen' ), single_cat_title( '', false ) ); ?></h1>
				
				<?php
					// display a featured image for the category
					
				
					// identify the current category
					$currentcat = get_queried_object();
					$currentcatname = $currentcat->slug;
					
					// define query arguments for the featured image
					$args = array(
						'post_type' => 'attachment',
						'post_status'=>'inherit',
						'category_name' => $currentcatname,
					);
					$query = new WP_Query( $args );

					// The Loop
					
					while ( $query->have_posts() ) : $query->the_post();
						// define attributes for image display
						$imgattr = array(
							'alt'   => trim( strip_tags( get_post_meta( $attachment_id, '_wp_attachment_image_alt', true ) ) ),
						);
						
						// output the image ?>
						<div class="category-image">
							<?php echo wp_get_attachment_image( $post->ID, 'large', $imgattr ); ?>
						</div>

					<?php endwhile;
					
					
					// reset the query so the default query can be run
					wp_reset_postdata();
				
				?>
				
				<?php
					// Show an optional term description.
					$term_description = term_description();
					if ( ! empty( $term_description ) ) :
						printf( '<div class="taxonomy-description">%s</div>', $term_description );
					endif;
				?>
			</header><!-- .archive-header -->

			<?php
					// Start the Loop.
					while ( have_posts() ) : the_post();

					/*
					 * Include the post format-specific template for the content. If you want to
					 * use this in a child theme, then include a file called called content-___.php
					 * (where ___ is the post format) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );

					endwhile;
					// Previous/next page navigation.
					twentyfourteen_paging_nav();

				else :
					// If no content, include the "No posts found" template.
					get_template_part( 'content', 'none' );

				endif;
			?>
		</div><!-- #content -->
	</section><!-- #primary -->

<?php
get_sidebar( 'content' );
get_sidebar();
get_footer();
